Skip to main content
POST
Create referral

Authorizations

Authorization
string
header
required

Your affiliate API key (Profile → API & AI tools in the affiliate dashboard), sent as Authorization: Bearer {api_key}

Headers

Account-ID
string
required

Account ID of the affiliate program, shown next to your API key under Profile → API & AI tools

Example:

"acc_123456"

Body

application/json
email
string<email>
required

Email of the referral

promoter_campaign_id
integer
required

The ID of the promoter campaign

uid
string

Unique ID of the referral

Response

Successful response

id
integer
uid
string
state
enum<string>
Available options:
subscribed,
signup,
active,
cancelled,
refunded,
denied,
pending,
moved
metadata
object
created_at
string<date-time>
customer_since
string<date-time>
email
string<email>
promoter_campaign
object
username
string | null
visitor_sub_id
string | null
first_name
string | null
last_name
string | null
website
string | null
comment
string | null
split_details
object | null
billing_country
string | null
is_expired
boolean
custom_status
object | null

Custom referral status set by the program, if any